Package org.apache.sis.metadata.iso

## Class DefaultMetadataExtensionInformation

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - DefaultMetadataExtensionInformation

- All Implemented Interfaces:
    `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `MetadataExtensionInformation`

      public class DefaultMetadataExtensionInformation
      extends ISOMetadata
      implements MetadataExtensionInformation

  Information describing metadata extensions.

  Limitations:

  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ModifiableMetadata

      `ModifiableMetadata​.State`

  - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultMetadataExtensionInformation()` | Construct an initially empty metadata extension information.
    `DefaultMetadataExtensionInformation​(MetadataExtensionInformation object)` | Constructs a new instance initialized with the values from the specified metadata object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DefaultMetadataExtensionInformation` | `castOrCopy​(MetadataExtensionInformation object)` | Returns a SIS metadata implementation with the values of the given arbitrary implementation.
    `Collection<ExtendedElementInformation>` | `getExtendedElementInformation()` | Provides information about a new metadata element, not found in ISO 19115, which is required to describe resource.
    `OnlineResource` | `getExtensionOnLineResource()` | Information about on-line sources containing the community profile name and the extended metadata elements and information for all new metadata elements.
    `void` | `setExtendedElementInformation​(Collection<? extends ExtendedElementInformation> newValues)` | Sets information about a new metadata element.
    `void` | `setExtensionOnLineResource​(OnlineResource newValue)` | Sets information about on-line sources.

    - ### Methods inherited from class ISOMetadata

      `getIdentifier, getIdentifierMap, getIdentifiers, getStandard, setIdentifier, transitionTo`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, freeze, isModifiable, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, unmodifiable, writeCollection, writeList, writeMap, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultMetadataExtensionInformation

          public DefaultMetadataExtensionInformation()

      Construct an initially empty metadata extension information.

    - #### DefaultMetadataExtensionInformation

          public DefaultMetadataExtensionInformation​(MetadataExtensionInformation object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.
      See Also:
        `castOrCopy(MetadataExtensionInformation)`

  - ### Method Detail

    - #### castOrCopy

          public static DefaultMetadataExtensionInformation castOrCopy​(MetadataExtensionInformation object)

      Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
      - If the given object is `null`, then this method returns `null`.
      - Otherwise if the given object is already an instance of `DefaultMetadataExtensionInformation`, then it is returned unchanged.
      - Otherwise a new `DefaultMetadataExtensionInformation` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the object to get as a SIS implementation, or `null` if none.
      Returns:
        a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

    - #### getExtensionOnLineResource

          public OnlineResource getExtensionOnLineResource()

      Information about on-line sources containing the community profile name and the extended metadata elements and information for all new metadata elements.
      Specified by:
        `getExtensionOnLineResource` in interface `MetadataExtensionInformation`
      Returns:
        online sources to community profile name and extended metadata elements, or `null`.

    - #### setExtensionOnLineResource

          public void setExtensionOnLineResource​(OnlineResource newValue)

      Sets information about on-line sources.
      Parameters:
        `newValue` - the new extension online resource.

    - #### getExtendedElementInformation

          public Collection<ExtendedElementInformation> getExtendedElementInformation()

      Provides information about a new metadata element, not found in ISO 19115, which is required to describe resource.
      Specified by:
        `getExtendedElementInformation` in interface `MetadataExtensionInformation`
      Returns:
        new metadata elements not found in ISO 19115.

    - #### setExtendedElementInformation

          public void setExtendedElementInformation​(Collection<? extends ExtendedElementInformation> newValues)

      Sets information about a new metadata element.
      Parameters:
        `newValues` - the new extended element information.